com.collabnet.ce.soap60.webservices.taskmgr

## Class TaskSoapRow

- java.lang.Object
- - com.collabnet.ce.soap60.webservices.taskmgr.TaskSoapRow

-     public class TaskSoapRow
      extends Object

  TaskList class represents a list of tasks.
  Change History
  Release: 4.2
  - Added 'includeWeekends'
  Since:
    4.1

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaskSoapRow()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAccomplished()` Returns 'accomplished'.
    `String` | `getAssignedToFullName()` Returns 'assignedToFullName'.
    `String` | `getAssignedToUsername()` Returns 'assignedToUsername'.
    `String` | `getCreatedByFullName()` Returns 'createdByFullName'.
    `String` | `getCreatedByUsername()` Returns 'createdByUsername'.
    `String` | `getDescription()` Returns 'description'.
    `Date` | `getEndDate()` Returns 'endDate'.
    `int` | `getEstimatedHours()` Returns 'estimatedHours'.
    `String` | `getFolderId()` Returns 'folderId'.
    `String` | `getFolderPath()` Returns 'folderPath'.
    `String` | `getFolderTitle()` Returns 'folderTitle'.
    `String` | `getId()` Returns 'id'.
    `boolean` | `getIncludeWeekends()` Returns 'includeWeekends'.
    `String` | `getIssues()` Returns 'issues'.
    `String` | `getParentFolderId()` Returns 'parentFolderId'.
    `String` | `getPlanned()` Returns 'planned'.
    `int` | `getPriority()` Returns 'priority'.
    `String` | `getProjectId()` Returns 'projectId'.
    `String` | `getProjectPath()` Returns 'projectPath'.
    `String` | `getProjectTitle()` Returns 'projectTitle'.
    `int` | `getRequiredHours()` Returns 'requiredHours'.
    `Date` | `getStartDate()` Returns 'startDate'.
    `String` | `getStatus()` Returns 'status'.
    `String` | `getTitle()` Returns 'title'.
    `static void` | `registerTypeMappings(org.apache.axis.client.Call call)`
    `void` | `setAccomplished(String accomplished)` Sets 'accomplished'.
    `void` | `setAssignedToFullName(String assignedToFullName)` Sets 'assignedToFullName'.
    `void` | `setAssignedToUsername(String assignedToUsername)` Sets 'assignedToUsername'.
    `void` | `setCreatedByFullName(String createdByFullName)` Sets 'createdByFullName'.
    `void` | `setCreatedByUsername(String createdByUsername)` Sets 'createdByUsername'.
    `void` | `setDescription(String description)` Sets 'description'.
    `void` | `setEndDate(Date endDate)` Sets 'endDate'.
    `void` | `setEstimatedHours(int estimatedHours)` Sets 'estimatedHours'.
    `void` | `setFolderId(String folderId)` Sets 'folderId'.
    `void` | `setFolderPath(String folderPath)` Sets 'folderPath'.
    `void` | `setFolderTitle(String folderTitle)` Sets 'folderTitle'.
    `void` | `setId(String id)` Sets 'id'.
    `void` | `setIncludeWeekends(boolean includeWeekends)` Sets 'includeWeekends'.
    `void` | `setIssues(String issues)` Sets 'issues'.
    `void` | `setParentFolderId(String parentFolderId)` Sets 'parentFolderId'.
    `void` | `setPlanned(String planned)` Sets 'planned'.
    `void` | `setPriority(int priority)` Sets 'priority'.
    `void` | `setProjectId(String projectId)` Sets 'projectId'.
    `void` | `setProjectPath(String projectPath)` Sets 'projectPath'.
    `void` | `setProjectTitle(String projectTitle)` Sets 'projectTitle'.
    `void` | `setRequiredHours(int requiredHours)` Sets 'requiredHours'.
    `void` | `setStartDate(Date startDate)` Sets 'startDate'.
    `void` | `setStatus(String status)` Sets 'status'.
    `void` | `setTitle(String title)` Sets 'title'.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TaskSoapRow

          public TaskSoapRow()

  - ### Method Detail

    - #### getId

          public String getId()

      Returns 'id'. Id of the task
      Returns:
        Value of 'id'.

    - #### setId

          public void setId(String id)

      Sets 'id'. Id of the task
      Parameters:
        `id` - Value of 'id'.

    - #### getProjectPath

          public String getProjectPath()

      Returns 'projectPath'. The path of the project containing the task
      Returns:
        Value of 'projectPath'.

    - #### setProjectPath

          public void setProjectPath(String projectPath)

      Sets 'projectPath'. The path of the project containing the task
      Parameters:
        `projectPath` - Value of 'projectPath'.

    - #### getProjectTitle

          public String getProjectTitle()

      Returns 'projectTitle'. The title of the project containing the task
      Returns:
        Value of 'projectTitle'.

    - #### setProjectTitle

          public void setProjectTitle(String projectTitle)

      Sets 'projectTitle'. The title of the project containing the task
      Parameters:
        `projectTitle` - Value of 'projectTitle'.

    - #### getProjectId

          public String getProjectId()

      Returns 'projectId'. The id of the project containing the task
      Returns:
        Value of 'projectId'.

    - #### setProjectId

          public void setProjectId(String projectId)

      Sets 'projectId'. The id of the project containing the task
      Parameters:
        `projectId` - Value of 'projectId'.

    - #### getFolderId

          public String getFolderId()

      Returns 'folderId'. The id of the task folder (task group) containing the task
      Returns:
        Value of 'folderId'.

    - #### setFolderId

          public void setFolderId(String folderId)

      Sets 'folderId'. The id of the task folder (task group) containing the task
      Parameters:
        `folderId` - Value of 'folderId'.

    - #### getFolderPath

          public String getFolderPath()

      Returns 'folderPath'. The path of the task folder (task group) containing the task
      Returns:
        Value of 'folderPath'.

    - #### setFolderPath

          public void setFolderPath(String folderPath)

      Sets 'folderPath'. The path of the task folder (task group) containing the task
      Parameters:
        `folderPath` - Value of 'folderPath'.

    - #### getFolderTitle

          public String getFolderTitle()

      Returns 'folderTitle'. The title of the task folder (task group) containing the task
      Returns:
        Value of 'folderTitle'.

    - #### setFolderTitle

          public void setFolderTitle(String folderTitle)

      Sets 'folderTitle'. The title of the task folder (task group) containing the task
      Parameters:
        `folderTitle` - Value of 'folderTitle'.

    - #### getParentFolderId

          public String getParentFolderId()

      Returns 'parentFolderId'.
      Returns:
        Value of 'parentFolderId'.

    - #### setParentFolderId

          public void setParentFolderId(String parentFolderId)

      Sets 'parentFolderId'.
      Parameters:
        `parentFolderId` - Value of 'parentFolderId'.

    - #### getCreatedByUsername

          public String getCreatedByUsername()

      Returns 'createdByUsername'. The username of the user who created the task
      Returns:
        Value of 'createdByUsername'.

    - #### setCreatedByUsername

          public void setCreatedByUsername(String createdByUsername)

      Sets 'createdByUsername'. The username of the user who created the task
      Parameters:
        `createdByUsername` - Value of 'createdByUsername'.

    - #### getCreatedByFullName

          public String getCreatedByFullName()

      Returns 'createdByFullName'. The full name of the user who created the task
      Returns:
        Value of 'createdByFullName'.

    - #### setCreatedByFullName

          public void setCreatedByFullName(String createdByFullName)

      Sets 'createdByFullName'. The full name of the user who created the task
      Parameters:
        `createdByFullName` - Value of 'createdByFullName'.

    - #### getTitle

          public String getTitle()

      Returns 'title'. The title of the task
      Returns:
        Value of 'title'.

    - #### setTitle

          public void setTitle(String title)

      Sets 'title'. The title of the task
      Parameters:
        `title` - Value of 'title'.

    - #### getDescription

          public String getDescription()

      Returns 'description'. The detailed description of the task
      Returns:
        Value of 'description'.

    - #### setDescription

          public void setDescription(String description)

      Sets 'description'. The detailed description of the task
      Parameters:
        `description` - Value of 'description'.

    - #### getStatus

          public String getStatus()

      Returns 'status'. The status of the task. Can be 'Open', 'Closed', 'Pending' or a custom value as defined in the task group.
      Returns:
        Value of 'status'.

    - #### setStatus

          public void setStatus(String status)

      Sets 'status'. The status of the task. Can be 'Open', 'Closed', 'Pending' or a custom value as defined in the task group.
      Parameters:
        `status` - Value of 'status'.

    - #### getPriority

          public int getPriority()

      Returns 'priority'. The task priority field. See TaskSoapDO for more details
      Returns:
        Value of 'priority'.

    - #### setPriority

          public void setPriority(int priority)

      Sets 'priority'. The task priority field. See TaskSoapDO for more details
      Parameters:
        `priority` - Value of 'priority'.

    - #### getEstimatedHours

          public int getEstimatedHours()

      Returns 'estimatedHours'. The total number of hours believed needed to complete the task
      Returns:
        Value of 'estimatedHours'.

    - #### setEstimatedHours

          public void setEstimatedHours(int estimatedHours)

      Sets 'estimatedHours'. The total number of hours believed needed to complete the task
      Parameters:
        `estimatedHours` - Value of 'estimatedHours'.

    - #### getRequiredHours

          public int getRequiredHours()

      Returns 'requiredHours'. The actual number of hours needed to complete the task
      Returns:
        Value of 'requiredHours'.

    - #### setRequiredHours

          public void setRequiredHours(int requiredHours)

      Sets 'requiredHours'. The actual number of hours needed to complete the task
      Parameters:
        `requiredHours` - Value of 'requiredHours'.

    - #### getStartDate

          public Date getStartDate()

      Returns 'startDate'. The date work on the task is scheduled to begin
      Returns:
        Value of 'startDate'.

    - #### setStartDate

          public void setStartDate(Date startDate)

      Sets 'startDate'. The date work on the task is scheduled to begin
      Parameters:
        `startDate` - Value of 'startDate'.

    - #### getEndDate

          public Date getEndDate()

      Returns 'endDate'. The date work on the task is scheduled to be completed
      Returns:
        Value of 'endDate'.

    - #### setEndDate

          public void setEndDate(Date endDate)

      Sets 'endDate'. The date work on the task is scheduled to be completed
      Parameters:
        `endDate` - Value of 'endDate'.

    - #### getAssignedToUsername

          public String getAssignedToUsername()

      Returns 'assignedToUsername'. The username of the user assigned to the task
      Returns:
        Value of 'assignedToUsername'.

    - #### setAssignedToUsername

          public void setAssignedToUsername(String assignedToUsername)

      Sets 'assignedToUsername'. The username of the user assigned to the task
      Parameters:
        `assignedToUsername` - Value of 'assignedToUsername'.

    - #### getAssignedToFullName

          public String getAssignedToFullName()

      Returns 'assignedToFullName'. The full name of the user assigned to the task
      Returns:
        Value of 'assignedToFullName'.

    - #### setAssignedToFullName

          public void setAssignedToFullName(String assignedToFullName)

      Sets 'assignedToFullName'. The full name of the user assigned to the task
      Parameters:
        `assignedToFullName` - Value of 'assignedToFullName'.

    - #### getAccomplished

          public String getAccomplished()

      Returns 'accomplished'. A free-form text field describing what has been accomplished so far on the task
      Returns:
        Value of 'accomplished'.

    - #### setAccomplished

          public void setAccomplished(String accomplished)

      Sets 'accomplished'. A free-form text field describing what has been accomplished so far on the task
      Parameters:
        `accomplished` - Value of 'accomplished'.

    - #### getPlanned

          public String getPlanned()

      Returns 'planned'. A free-form text field describing work that has been planned for the task
      Returns:
        Value of 'planned'.

    - #### setPlanned

          public void setPlanned(String planned)

      Sets 'planned'. A free-form text field describing work that has been planned for the task
      Parameters:
        `planned` - Value of 'planned'.

    - #### getIssues

          public String getIssues()

      Returns 'issues'. A free-form text field describing any issues with this task
      Returns:
        Value of 'issues'.

    - #### setIssues

          public void setIssues(String issues)

      Sets 'issues'. A free-form text field describing any issues with this task
      Parameters:
        `issues` - Value of 'issues'.

    - #### getIncludeWeekends

          public boolean getIncludeWeekends()

      Returns 'includeWeekends'. Whether weekends should be included in date ranges for this task
      Returns:
        Value of 'includeWeekends'.

    - #### setIncludeWeekends

          public void setIncludeWeekends(boolean includeWeekends)

      Sets 'includeWeekends'. Whether weekends should be included in date ranges for this task
      Parameters:
        `includeWeekends` - Value of 'includeWeekends'.

    - #### registerTypeMappings

          public static void registerTypeMappings(org.apache.axis.client.Call call)

Copyright © 2020 CollabNet. All rights reserved.